### Hierarchy

- JsonLayoutProps
  - FormComponentFieldProps

## Index

### Properties

- args
- filter
- name
- schema
- testID
- type

## Properties

### Optional args

args: undefined | object

Inherited from JsonLayoutProps.args

- Defined in JsonLayout/JsonLayout.tsx:15

Arguments for the filter.

### Optional filter

filter: undefined | string

Inherited from JsonLayoutProps.filter

- Defined in JsonLayout/JsonLayout.tsx:12

Event name to filter this schema. If this is not provided, the schema is not filtered.

### Optional name

name: undefined | "string"

- Defined in JsonForm/Fields/FormComponentField.tsx:5

### schema

schema: MaybeArray<JsonComponentNode>

Inherited from JsonLayoutProps.schema

- Defined in JsonLayout/JsonLayout.tsx:9

JSON Schema.

### Optional testID

testID: undefined | string

Inherited from JsonLayoutProps.testID

- Defined in JsonLayout/JsonLayout.tsx:20

Used to locate this view in end-to-end tests.

### type

type: "component"

- Defined in JsonForm/Fields/FormComponentField.tsx:4

Generated using TypeDoc